package com.backendsys.modules.sdk.comfyui.service;

import cn.hutool.json.JSONObject;
import com.backendsys.modules.sdk.comfyui.entity.ComfyuiResponse;
import com.backendsys.modules.sdk.comfyui.entity.ComfyuiQueue;
import reactor.core.publisher.Mono;

public interface ComfyuiService {

    // [ComfyUI] 查询任务队列
    Mono<ComfyuiQueue> getQueue(Integer port);

    // [ComfyUI] 获取最佳可用端口
    Integer getBestPort();

    // [ComfyUI] 执行任务 (通用)
    Mono<ComfyuiResponse> prompt(String client_id, JSONObject prompt);
    Mono<ComfyuiResponse> prompt(String client_id, JSONObject prompt, String custom_params);

}
